CreateAlarm
CreateAlarm
POST
/zstack/v1/zwatch/alarmsOperation ID
CreateAlarmSince
2.3Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
comparisonOperatorStringRequiredThe threshold comparison operator.
periodIntegerThe threshold duration.
namespaceStringRequiredThe namespace.
metricNameStringRequiredThe metric name.
thresholdDoubleRequiredThe threshold.
repeatIntervalIntegerOptional. The alarm repeat interval.
labelsListOptional. The label list.
actionsListOptional. The alarm action list.
resourceUuidStringOptional.
repeatCountIntegerOptional. The alarm repeat count.
typeStringOptional. The alarm type.
enableRecoveryBooleanRequiredWhether to enable the recovery notification.
emergencyLevelStringOptional. The alarm emergency level.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
